package com.ximai.mes.qc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 异常信息对象 qc_abnormal_information
 *
 * @author generator
 * @date 2024-02-19
 */
public class QcAbnormalInformation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 异常信息id */
    @TableId
    private Long abnormalId;

    /** 异常类型 */
    @Excel(name = "异常类型")
    private String abnormalType;

    /** 异常原因 */
    @Excel(name = "异常原因")
    private String abnormalReason;

    public void setAbnormalId(Long abnormalId)
    {
        this.abnormalId = abnormalId;
    }

    public Long getAbnormalId()
    {
        return abnormalId;
    }
    public void setAbnormalType(String abnormalType)
    {
        this.abnormalType = abnormalType;
    }

    public String getAbnormalType()
    {
        return abnormalType;
    }
    public void setAbnormalReason(String abnormalReason)
    {
        this.abnormalReason = abnormalReason;
    }

    public String getAbnormalReason()
    {
        return abnormalReason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("abnormalId", getAbnormalId())
            .append("abnormalType", getAbnormalType())
            .append("abnormalReason", getAbnormalReason())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
